Package com.sas.services.information

# Class EntityHasChangedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.information.EntityHasChangedException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

public class EntityHasChangedException extends ServiceException
This exception is thrown when during an update operation the entity is already locked or already changed since we retrieved a copy of the entity. The user should wait a short while, refresh the smart object, make the changes again and then attempt another update.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntityHasChangedException()`
  Constructor for EntityHasChangedException.
  `EntityHasChangedException(String message)`
  Constructor for EntityHasChangedException.
  `EntityHasChangedException(Throwable throwable, String message)`
  Constructor for EntityHasChangedException.

- ## Method Summary

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EntityHasChangedException

    public EntityHasChangedException()
    Constructor for EntityHasChangedException.

  - ### EntityHasChangedException

    public EntityHasChangedException(String message)
    Constructor for EntityHasChangedException.
    Parameters:
      `message` -

  - ### EntityHasChangedException

    public EntityHasChangedException(Throwable throwable, String message)
    Constructor for EntityHasChangedException.
    Parameters:
      `throwable` -
      `message` -